Page MenuHomePhabricator

Play with Bitergia's Kabana UI (which might potential replace our current UI on korma.wmflabs.org)
Closed, ResolvedPublic

Description

The concept might solve some of the problems we're facing, but this will need more investigation and discussion.
Filing this task so I don't forget; task to be better defined.

Event Timeline

Aklapper created this task.Feb 16 2016, 3:54 PM
Aklapper claimed this task.
Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Aklapper.
Aklapper raised the priority of this task from Low to Normal.Mar 14 2016, 6:32 PM
Aklapper moved this task from Backlog to Doing on the DevRel-March-2016 board.Mar 17 2016, 6:23 PM

<tl;dr>:

I'd really welcome a basic introduction (text help / docs? A short video?) of the concepts / UI elements / functionality, and examples.
I have a hard time judging which current elements on korma.wmflabs.org will or won't be easily possible.

Long version:

After playing a bit with the links in the task desc, some random thoughts and impressions by a newbie (bear with me):

  • I failed to find the "Help" or "Documentation" link. If it exists. "Discover" seems to not be that. :P
  • After clicking the "3x3 boxes" I get "Kibana, Marvel, Sense, Timelion" options on top. Not sure what those are exactly - no mouse-over information text. :(
  • Some text field (search bar? filter bar?) prefilled with a star (*) without autocomplete proposals (or examples) what to put in there exactly
  • The "type" / "bot" / "dashboard" elements expose icon options when hovering which have no mouse-over info text, next to it the "Actions" dropdown allows "pinning", "inverting", "toggling" (e.g. is "pinning" the same as "linking to saved searches"?). Both seem to be mostly the same (though "Actions" is applied to all elements) except for editing only being available for each element separately (makes sense), and "toggling" only available via "Actions" (whatever "toggling" means).
  • When creating a visualization, after choosing a style, when choosing a search I am asked to "Select an index pattern" - what is that exactly?

(I do understand there are dashboards and that I can add visualization items to them, based on existing or new searches. There are also existing visualizations to choose from.)

I'd really welcome a basic introduction (text help / docs? A short video?) of the concepts, which UI element areas provide which functionality, and one or two examples.
After that I'd feel more confident to be able to judge which current problems this might solve, or which (custom?) pages on korma.wmflabs.org to keep or implement in kabana. For example, are gerrit review queue or top-contributors currently possible? I don't know as I didn't know how to "select an index pattern". :(

Aklapper moved this task from Backlog to Ready to Go on the wikimedia.biterg.io board.

Random notes I took in our meeting on 2016-04-08:

Here you are a new version of the dashboards. Information is being updated daily. It is using the sorting hat database (I deployed it last week so changes done after won't be reflected in this version)

https://dashboard.bitergia.com/wikimedia/

We still have to create the documentation @Aklapper suggested with videos or online documentation.

Aklapper changed the task status from Stalled to Open.Jul 14 2016, 9:53 AM
Aklapper closed this task as Resolved.Jul 17 2016, 7:24 PM

I've played with it (and I received a first intro) so I think I have a basic understanding now. Closing as resolved.
Work continues in T132421: Identify Wikimedia's most important/used info panels in korma.wmflabs.org and T132323: Create basic/high-level Kibana (dashboard) documentation for users.